package com.displaynone.acss.components.acs.models.visit;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface VisitRepository extends JpaRepository<VisitModel, Long> {
    List<VisitModel> findByGateId(Long gateId);

    List<VisitModel> findByUserId(Long userId);

    Page<VisitModel> findByGateId(Long gateId, Pageable page);

    Page<VisitModel> findByUserId(Long userId, Pageable page);
}
