package com.displaynone.acss.components.acs.models.visit.service;

import com.displaynone.acss.components.acs.models.visit.VisitModel;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface VisitService {
    List<VisitModel> getByGateId(Long gateId);

    List<VisitModel> getByUserId(Long userId);

    Page<VisitModel> getVisitsByGateIdPaginated(Long gateId, Pageable pageable);

    Page<VisitModel> getVisitsByUserIdPaginated(Long userId, Pageable pageable);

    void createVisit(VisitModel visit);
}
