package com.displaynone.acss.components.auth.models.user;

import com.displaynone.acss.components.auth.models.role.RoleModel;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Set;

@Data
public class UserDTO {
    private Long id;
    private String login;
    private String name;
    private String photo;
    private String position;
    private LocalDateTime lastVisit;
    private Set<RoleModel> roles;
    private boolean isActive;
    private boolean isACSBlocked;
}
