package com.displaynone.acss.components.acs.models.gate;

import com.displaynone.acss.utils.GlobalUtils;
import lombok.experimental.UtilityClass;

import java.util.Collection;
import java.util.List;

@UtilityClass
public class GateMapper {
    public GateDTO convertToDTO(GateModel model) {
        GateDTO dto = new GateDTO();

        dto.setId(model.getId());
        dto.setCode(model.getCode());
        dto.setACSBlocked(model.isACSBlocked());
        dto.setActive(model.isActive());

        return dto;
    }

    public List<GateDTO> convertAllToDTO(Collection<GateModel> models) {
        return GlobalUtils.convertAllToDTO(models, GateMapper::convertToDTO);
    }
}
