package com.displaynone.acss.components.acs.models.visit;

import com.displaynone.acss.utils.GlobalUtils;
import lombok.experimental.UtilityClass;

import java.util.Collection;
import java.util.List;

@UtilityClass
public class VisitMapper {
    public VisitDTO convertToDTO(VisitModel model) {
        VisitDTO dto = new VisitDTO();

        dto.setId(model.getId());
        dto.setUserId(model.getUserId());
        dto.setGateId(model.getGateId());
        dto.setCreatedAt(model.getCreatedAt());

        return dto;
    }

    public List<VisitDTO> convertAllToDTO(Collection<VisitModel> models) {
        return GlobalUtils.convertAllToDTO(models, VisitMapper::convertToDTO);
    }
}
