package com.displaynone.acss.components.auth.models.role;

import com.displaynone.acss.utils.GlobalUtils;
import lombok.experimental.UtilityClass;

import java.util.Collection;
import java.util.List;

@UtilityClass
public class RoleMapper {
    public RoleDTO convertToDTO(RoleModel model) {
        RoleDTO dto = new RoleDTO();

        dto.setId(model.getId());
        dto.setName(model.getName());

        return dto;
    }

    public List<RoleDTO> convertAllToDTO(Collection<RoleModel> models) {
        return GlobalUtils.convertAllToDTO(models, RoleMapper::convertToDTO);
    }
}
