package com.displaynone.acss.components.auth.models.user.service;

import com.displaynone.acss.components.auth.models.user.UserModel;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
public interface UserService {
    Optional<UserModel> findByLogin(String login);

    UserModel findByLoginStrict(String login);
    void updateUserByLogin(String login, UserModel userUpdated);
}
